# PSF-LoginServer - master - net.psforever.objects.Vehicles
PSF - LoginServer - master - net.psforever.objects.Vehicles
Keywords: PSF LoginServer master net.psforever.objects.Vehicles

PSF-LoginServer - master < Back


# Packages

-  package root
  Definition Classes
    root
-  package net
  Definition Classes
    root
-  package psforever
  Definition Classes
    net
-  package objects
  Definition Classes
    psforever
-  package avatar
  Definition Classes
    objects
-  package ballistics
  Definition Classes
    objects
-  package ce
  Definition Classes
    objects
-  package definition
  Definition Classes
    objects
-  package entity
  Definition Classes
    objects
-  package equipment
  Definition Classes
    objects
-  package geometry
  Definition Classes
    objects
-  package guid
  Definition Classes
    objects
-  package inventory
  Definition Classes
    objects
-  package loadouts
  Definition Classes
    objects
-  package locker
  Definition Classes
    objects
-  package serverobject
  Definition Classes
    objects
-  package teamwork
  Definition Classes
    objects
-  package vehicles
  Definition Classes
    objects
-  package vital
  Definition Classes
    objects
-  package zones
  Definition Classes
    objects
- Account
- AmmoBox
- BoomerDeployable
- BoomerDeployableControl
- BoomerDeployableDefinition
- BoomerTrigger
- CommonNtuContainer
- ConstructionItem
- Default
- Deployables
- ExplosiveDeployable
- ExplosiveDeployableControl
- ExplosiveDeployableDefinition
- GlobalDefinitions
- Kit
- LivePlayerList
- LocalLockerItem
- LocalProjectile
- MineDeployableControl
- Ntu
- NtuContainer
- NtuContainerDefinition
- NtuStorageBehavior
- ObjectType
- OffhandEquipmentSlot
- OwnableByPlayer
- PlanetSideGameObject
- Player
- Players
- SensorDeployable
- SensorDeployableControl
- SensorDeployableDefinition
- Session
- ShieldGeneratorControl
- ShieldGeneratorDefinition
- ShieldGeneratorDeployable
- SimpleItem
- SpawnPoint
- SpawnPointDefinition
- SpecialEmp
- Telepad
- TelepadControl
- TelepadDeployable
- TelepadDeployableControl
- TelepadDeployableDefinition
- Tool
- Tools
- TrapDeployable
- TrapDeployableControl
- TrapDeployableDefinition
- TurretControl
- TurretDeployable
- TurretDeployableDefinition
- Vehicle
- Vehicles

o

net.psforever.objects

# Vehicles

###

#### object Vehicles

Source
  Vehicles.scala

Linear Supertypes
AnyRef, Any

Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. Vehicles
2. AnyRef
3. Any

1. Hide All
2. Show All

Visibility

1. Public
2. Protected

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##: Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  def AllGatedOccupantsInSameZone(vehicle: Vehicle): Boolean

   A recursive test that explores all the seats of a target vehicle and all the seats of any discovered cargo vehicles and then the same criteria in those cargo vehicles to determine if any of their combined passenger roster remains in a given zone.
   The original zone is expected to be defined in the internal vehicle gating manifest file and, if this file does not exist, we fail the testing process.

   A recursive test that explores all the seats of a target vehicle and all the seats of any discovered cargo vehicles and then the same criteria in those cargo vehicles to determine if any of their combined passenger roster remains in a given zone.
   The original zone is expected to be defined in the internal vehicle gating manifest file and, if this file does not exist, we fail the testing process. The target zone is the one wherever the vehicle currently is located (`vehicle.Zone`). All participant passengers, also defined in the manifest, are expected to be in the target zone at the same time. This test excludes (rejects) same-zone transitions though it would automatically pass the test under those conditions.
   While it should be possible to recursively explore up a parent-child relationship - testing the ferrying vehicle to which the current tested vehicle is considered a cargo vehicle - the relationship expressed is one of globally unique refertences and not one of object references - that suggested super-ferrying vehicle may not exist in the zone unless special considerations are imposed. For the purpose of these special considerations, implemented by enforcing a strictly downwards order of vehicular zone transportation, where drivers move vehicles and call passengers and immediate cargo vehicle drivers, it becomes unnecessary to test any vehicle that might be ferrying the target vehicle.

   vehicle

     the target vehicle being moved around between zones

   returns

     `true`, if all passengers of the vehicle, and its cargo vehicles, etc., have reported being in the same zone; `false`, if no manifest entry exists, or if the vehicle is moving to the same zone

   See also

     `ZoneAware`

5.  def BeforeUnloadVehicle(vehicle: Vehicle, zone: Zone): Unit

   Before a vehicle is removed from the game world, the following actions must be performed.

   Before a vehicle is removed from the game world, the following actions must be performed.

   vehicle

     the vehicle

6.  def CargoOrientation(vehicle: Vehicle): Int

   The orientation of a cargo vehicle as it is being loaded into and contained by a carrier vehicle.

   The orientation of a cargo vehicle as it is being loaded into and contained by a carrier vehicle. The type of carrier is not an important consideration in determining the orientation, oddly enough.

   vehicle

     the cargo vehicle

   returns

     the orientation as an `Integer` value; `0` for almost all cases

7.  def Disown(player: Player, vehicle: Vehicle): Option[Vehicle]

   Disassociate a player from a vehicle that he owns without associating a different player as the owner.

   Disassociate a player from a vehicle that he owns without associating a different player as the owner. Set the vehicle's driver mount permissions and passenger and gunner mount permissions to "allow empire," then reload them for all clients. This is the vehicle side of vehicle ownership removal.

   player

     the player

8.  def Disown(player: Player, zoneOpt: Option[Zone]): Option[Vehicle]

   Disassociate a player from a vehicle that he owns.

   Disassociate a player from a vehicle that he owns. The vehicle must exist in the game world on the specified continent. This is similar but unrelated to the natural exchange of ownership when someone else sits in the vehicle's driver mount. This is the player side of vehicle ownership removal.

   player

     the player

9.  def Disown(player: Player, zone: Zone): Option[Vehicle]

   Disassociate a player from a vehicle that he owns.

   Disassociate a player from a vehicle that he owns. The vehicle must exist in the game world on the specified continent. This is similar but unrelated to the natural exchange of ownership when someone else sits in the vehicle's driver mount. This is the player side of vehicle ownership removal.

   player

     the player

10.  def Disown(guid: PlanetSideGUID, vehicle: Vehicle): Option[Vehicle]

    Disassociate a vehicle from the player who owns it.

    Disassociate a vehicle from the player who owns it.

    guid

      the unique identifier for that vehicle

    vehicle

      the vehicle

    returns

      the vehicle, if it had a previous owner; `None`, otherwise

11.  def FindANTChargingSource(obj: TransferContainer, ntuChargingTarget: Option[TransferContainer]): Option[TransferContainer]
12.  def FindANTDischargingTarget(obj: TransferContainer, ntuChargingTarget: Option[TransferContainer]): Option[TransferContainer]
13.  def FinishHackingVehicle(target: Vehicle, hacker: Player, unk: Long)(): Unit

    The process of hacking/jacking a vehicle is complete.

    The process of hacking/jacking a vehicle is complete. Change the faction of the vehicle to the hacker's faction and remove all occupants.

    target

      The `Vehicle` object that has been hacked/jacked

    hacker

      the one whoi performed the hack and will inherit ownership of the target vehicle

    unk

      na; used by `HackMessage` as `unk5`

14.  def Own(vehicle: Vehicle, playerOpt: Option[Player]): Option[Vehicle]

    na

    na

    vehicle

      na

    playerOpt

      na

    returns

      na

15.  def Own(vehicle: Vehicle, player: Player): Option[Vehicle]

    na

    na

    vehicle

      na

    player

      na

    returns

      na

16.  def ReloadAccessPermissions(vehicle: Vehicle, toChannel: String): Unit

    Iterate over vehicle permissions and turn them into `PlanetsideAttributeMessage` packets.
    For the purposes of ensuring that other players are always aware of the proper permission state of the trunk and seats, packets are intentionally dispatched to the current client to update the states.

    Iterate over vehicle permissions and turn them into `PlanetsideAttributeMessage` packets.
    For the purposes of ensuring that other players are always aware of the proper permission state of the trunk and seats, packets are intentionally dispatched to the current client to update the states. Perform this action just after any instance where the client would initially gain awareness of the vehicle. The most important examples include either the player or the vehicle itself spawning in for the first time.

    vehicle

      the `Vehicle`

17.  final def asInstanceOf[T0]: T0
    Definition Classes
      Any
18.  def clone(): AnyRef
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.CloneNotSupportedException]) @native()
19.  def dismountShuttle(obj: Vehicle, mountPoint: Int): (Vector3, Float)

    Find the position and angle at which an ejected player will be placed once outside of the shuttle.

    Find the position and angle at which an ejected player will be placed once outside of the shuttle. Mainly for use with the proper high altitude rapid transport (HART) shuttle and it's corresponding HART building.

    obj

      the (shuttle) vehicle

    mountPoint

      the mount point that indicates a seat

    returns

      the position and angle

20.  final def eq(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
21.  def equals(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef → Any
22.  def finalize(): Unit
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.Throwable])
23.  final def getClass(): Class[_ <: AnyRef]
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
24.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
25.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
26.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
27.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
28.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
29.  final def synchronized[T0](arg0: => T0): T0
    Definition Classes
      AnyRef
30.  def toString(): String
    Definition Classes
      AnyRef → Any
31.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
32.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
33.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException]) @native()

### Inherited from AnyRef

### Inherited from Any

### Ungrouped